.\"	$NetBSD: pmc.1,v 1.6 2002/09/30 11:09:08 grant Exp $
.\"
.\" Copyright (c) 2000 Zembu Labs, Inc.
.\" All rights reserved.
.\"
.\" Author: Jason R. Thorpe <thorpej@zembu.com>
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Zembu Labs, Inc.
.\" 4. Neither the name of Zembu Labs nor the names of its employees may
.\"    be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY ZEMBU LABS, INC. ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WAR-
.\" RANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DIS-
.\" CLAIMED.  IN NO EVENT SHALL ZEMBU LABS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 24, 2000
.Dt PMC 1
.Os
.Sh NAME
.Nm pmc
.Nd performance-monitoring counter interface for command execution
.Sh SYNOPSIS
.Nm
.Fl h
.Nm
.Fl C
.Nm
.Fl c
.Ar event
.Ar command
.Oo
.Ar options
.Ar ...
.Oc
.Sh DESCRIPTION
.Nm
is a means of using a processor's performance-monitoring counter (PMC)
facility to measure various aspects of a program's execution.
It is
meant to be used in a fashion similar to
.Xr time 1 .
.Pp
The arguments are as follows:
.Bl -tag -width indent
.It Fl h
Display a list of performance counter events available on
the system.
.It Fl C
Cancel any performance counters that are currently running.
.It Fl c Ar event
Count the event specified by
.Ar event
while running the command.
.El
.Sh DIAGNOSTICS
.Bl -diag
.It PMC support is not compiled into the kernel
Performance-monitoring counter support has not been compiled into the
kernel.
It may be included using the
.Em PERFCTRS
option.
See
.Xr options 4
for details.
.It PMC counters are not supported by CPU
Performance-monitoring counters are not available for the CPU.
.El
.Sh SEE ALSO
.Xr time 1 ,
.Xr options 4
.Sh HISTORY
The
.Nm
command first appeared in
.Nx 1.6 .
.Sh AUTHORS
The
.Nm
command was written by
.An Frank van der Linden Aq fvdl@wasabisystems.com .
The kernel support for reading performance counters on the i386
architecture was written by
.An Jason R. Thorpe Aq thorpej@zembu.com .
.Sh BUGS
The
.Nm
command currently only supports performance-monitoring counters
on the i386 architecture.
